package com.fs.his.mapper;

import com.fs.his.param.FsDoctorCommonDiagnose;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FsDoctorCommonDiagnoseMapper {
    List<FsDoctorCommonDiagnose> selectList(@Param("param") FsDoctorCommonDiagnose param);
    int insert(FsDoctorCommonDiagnose record);
    int updateById(FsDoctorCommonDiagnose record);
    int deleteById(Long id);
    int countByDoctorIdAndDiagnose(@Param("doctorId") Long doctorId, @Param("diagnose") String diagnose);
}